<template>
  <section class="container">
    <div>
      <Logo color="#4e342e" />
      <h1 class="title">
        Vue + Nuxt
      </h1>
      <h2 class="subtitle">
        My priceless Nuxt.js project
      </h2>
      <div class="links">
        <h3>Essential Links</h3>
        <ul>
          <li>
            <a
              href="https://vuejs.org"
              target="_blank"
              rel="noopener"
            >Core Docs</a>
          </li>
          <li>
            <a
              href="https://news.vuejs.org"
              target="_blank"
              rel="noopener"
            >News</a>
          </li>
        </ul>
        <h3>Ecosystem</h3>
        <ul>
          <li>
            <a
              href="https://nuxtjs.org/"
              target="_blank"
              rel="noopener"
            >Documentation</a>
          </li>
          <li>
            <a
              href="https://github.com/nuxt/nuxt.js"
              target="_blank"
              rel="noopener"
            >GitHub</a>
          </li>
        </ul>
      </div>
    </div>
  </section>
</template>

<script lang="ts">
import { Component, Vue } from 'nuxt-property-decorator';
import Logo from '@/components/Logo.vue';

@Component({
  components: {
    Logo,
  },
  head() {
    return {
      title: 'Nuxt - SubDomain 2',
    };
  },
})
export default class Index extends Vue {}
</script>

<style lang="stylus">
.container
  margin 0 auto
  min-height 100vh
  display flex
  justify-content center
  align-items center
  text-align center

.title
  display block
  font-weight 300
  font-size 100px
  color #35495e
  letter-spacing 1px
  margin 0

.subtitle
  font-weight 300
  font-size 42px
  color #526488
  word-spacing 5px
  padding-bottom 15px
  margin 0

.links
  h3
    margin 40px 0 0
  ul
    list-style-type none
    padding 0
  li
    display inline-block
    margin 0 10px
  a
    color #42b983
</style>
